//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for restypeValueList.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="restypeValueList">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="auto3state"/>
 *     &lt;enumeration value="autocheckbox"/>
 *     &lt;enumeration value="autoradiobutton"/>
 *     &lt;enumeration value="bedit"/>
 *     &lt;enumeration value="bitmap"/>
 *     &lt;enumeration value="button"/>
 *     &lt;enumeration value="caption"/>
 *     &lt;enumeration value="cell"/>
 *     &lt;enumeration value="checkbox"/>
 *     &lt;enumeration value="checkboxmenuitem"/>
 *     &lt;enumeration value="checkedlistbox"/>
 *     &lt;enumeration value="colorchooser"/>
 *     &lt;enumeration value="combobox"/>
 *     &lt;enumeration value="comboboxexitem"/>
 *     &lt;enumeration value="comboboxitem"/>
 *     &lt;enumeration value="component"/>
 *     &lt;enumeration value="contextmenu"/>
 *     &lt;enumeration value="ctext"/>
 *     &lt;enumeration value="cursor"/>
 *     &lt;enumeration value="datetimepicker"/>
 *     &lt;enumeration value="defpushbutton"/>
 *     &lt;enumeration value="dialog"/>
 *     &lt;enumeration value="dlginit"/>
 *     &lt;enumeration value="edit"/>
 *     &lt;enumeration value="file"/>
 *     &lt;enumeration value="filechooser"/>
 *     &lt;enumeration value="fn"/>
 *     &lt;enumeration value="font"/>
 *     &lt;enumeration value="footer"/>
 *     &lt;enumeration value="frame"/>
 *     &lt;enumeration value="grid"/>
 *     &lt;enumeration value="groupbox"/>
 *     &lt;enumeration value="header"/>
 *     &lt;enumeration value="heading"/>
 *     &lt;enumeration value="hedit"/>
 *     &lt;enumeration value="hscrollbar"/>
 *     &lt;enumeration value="icon"/>
 *     &lt;enumeration value="iedit"/>
 *     &lt;enumeration value="keywords"/>
 *     &lt;enumeration value="label"/>
 *     &lt;enumeration value="linklabel"/>
 *     &lt;enumeration value="list"/>
 *     &lt;enumeration value="listbox"/>
 *     &lt;enumeration value="listitem"/>
 *     &lt;enumeration value="ltext"/>
 *     &lt;enumeration value="menu"/>
 *     &lt;enumeration value="menubar"/>
 *     &lt;enumeration value="menuitem"/>
 *     &lt;enumeration value="menuseparator"/>
 *     &lt;enumeration value="message"/>
 *     &lt;enumeration value="monthcalendar"/>
 *     &lt;enumeration value="numericupdown"/>
 *     &lt;enumeration value="panel"/>
 *     &lt;enumeration value="popupmenu"/>
 *     &lt;enumeration value="pushbox"/>
 *     &lt;enumeration value="pushbutton"/>
 *     &lt;enumeration value="radio"/>
 *     &lt;enumeration value="radiobuttonmenuitem"/>
 *     &lt;enumeration value="rcdata"/>
 *     &lt;enumeration value="row"/>
 *     &lt;enumeration value="rtext"/>
 *     &lt;enumeration value="scrollpane"/>
 *     &lt;enumeration value="separator"/>
 *     &lt;enumeration value="shortcut"/>
 *     &lt;enumeration value="spinner"/>
 *     &lt;enumeration value="splitter"/>
 *     &lt;enumeration value="state3"/>
 *     &lt;enumeration value="statusbar"/>
 *     &lt;enumeration value="string"/>
 *     &lt;enumeration value="tabcontrol"/>
 *     &lt;enumeration value="table"/>
 *     &lt;enumeration value="textbox"/>
 *     &lt;enumeration value="togglebutton"/>
 *     &lt;enumeration value="toolbar"/>
 *     &lt;enumeration value="tooltip"/>
 *     &lt;enumeration value="trackbar"/>
 *     &lt;enumeration value="tree"/>
 *     &lt;enumeration value="uri"/>
 *     &lt;enumeration value="userbutton"/>
 *     &lt;enumeration value="usercontrol"/>
 *     &lt;enumeration value="var"/>
 *     &lt;enumeration value="versioninfo"/>
 *     &lt;enumeration value="vscrollbar"/>
 *     &lt;enumeration value="window"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "restypeValueList")
@XmlEnum
public enum RestypeValueList {


    /**
     * Indicates a Windows RC AUTO3STATE control.
     * 
     */
    @XmlEnumValue("auto3state")
    AUTO_3_STATE("auto3state"),

    /**
     * Indicates a Windows RC AUTOCHECKBOX control.
     * 
     */
    @XmlEnumValue("autocheckbox")
    AUTOCHECKBOX("autocheckbox"),

    /**
     * Indicates a Windows RC AUTORADIOBUTTON control.
     * 
     */
    @XmlEnumValue("autoradiobutton")
    AUTORADIOBUTTON("autoradiobutton"),

    /**
     * Indicates a Windows RC BEDIT control.
     * 
     */
    @XmlEnumValue("bedit")
    BEDIT("bedit"),

    /**
     * Indicates a bitmap, for example a BITMAP resource in Windows.
     * 
     */
    @XmlEnumValue("bitmap")
    BITMAP("bitmap"),

    /**
     * Indicates a button object, for example a BUTTON control Windows.
     * 
     */
    @XmlEnumValue("button")
    BUTTON("button"),

    /**
     * Indicates a caption, such as the caption of a dialog box.
     * 
     */
    @XmlEnumValue("caption")
    CAPTION("caption"),

    /**
     * Indicates the cell in a table, for example the content of the <td> element in HTML.
     * 
     */
    @XmlEnumValue("cell")
    CELL("cell"),

    /**
     * Indicates check box object, for example a CHECKBOX control in Windows.
     * 
     */
    @XmlEnumValue("checkbox")
    CHECKBOX("checkbox"),

    /**
     * Indicates a menu item with an associated checkbox.
     * 
     */
    @XmlEnumValue("checkboxmenuitem")
    CHECKBOXMENUITEM("checkboxmenuitem"),

    /**
     * Indicates a list box, but with a check-box for each item.
     * 
     */
    @XmlEnumValue("checkedlistbox")
    CHECKEDLISTBOX("checkedlistbox"),

    /**
     * Indicates a color selection dialog.
     * 
     */
    @XmlEnumValue("colorchooser")
    COLORCHOOSER("colorchooser"),

    /**
     * Indicates a combination of edit box and listbox object, for example a COMBOBOX control in Windows.
     * 
     */
    @XmlEnumValue("combobox")
    COMBOBOX("combobox"),

    /**
     * Indicates an initialization entry of an extended combobox DLGINIT resource block. (code 0x1234).
     * 
     */
    @XmlEnumValue("comboboxexitem")
    COMBOBOXEXITEM("comboboxexitem"),

    /**
     * Indicates an initialization entry of a combobox DLGINIT resource block (code 0x0403).
     * 
     */
    @XmlEnumValue("comboboxitem")
    COMBOBOXITEM("comboboxitem"),

    /**
     * Indicates a UI base class element that cannot be represented by any other element.
     * 
     */
    @XmlEnumValue("component")
    COMPONENT("component"),

    /**
     * Indicates a context menu.
     * 
     */
    @XmlEnumValue("contextmenu")
    CONTEXTMENU("contextmenu"),

    /**
     * Indicates a Windows RC CTEXT control.
     * 
     */
    @XmlEnumValue("ctext")
    CTEXT("ctext"),

    /**
     * Indicates a cursor, for example a CURSOR resource in Windows.
     * 
     */
    @XmlEnumValue("cursor")
    CURSOR("cursor"),

    /**
     * Indicates a date/time picker.
     * 
     */
    @XmlEnumValue("datetimepicker")
    DATETIMEPICKER("datetimepicker"),

    /**
     * Indicates a Windows RC DEFPUSHBUTTON control.
     * 
     */
    @XmlEnumValue("defpushbutton")
    DEFPUSHBUTTON("defpushbutton"),

    /**
     * Indicates a dialog box.
     * 
     */
    @XmlEnumValue("dialog")
    DIALOG("dialog"),

    /**
     * Indicates a Windows RC DLGINIT resource block.
     * 
     */
    @XmlEnumValue("dlginit")
    DLGINIT("dlginit"),

    /**
     * Indicates an edit box object, for example an EDIT control in Windows.
     * 
     */
    @XmlEnumValue("edit")
    EDIT("edit"),

    /**
     * Indicates a filename.
     * 
     */
    @XmlEnumValue("file")
    FILE("file"),

    /**
     * Indicates a file dialog.
     * 
     */
    @XmlEnumValue("filechooser")
    FILECHOOSER("filechooser"),

    /**
     * Indicates a footnote.
     * 
     */
    @XmlEnumValue("fn")
    FN("fn"),

    /**
     * Indicates a font name.
     * 
     */
    @XmlEnumValue("font")
    FONT("font"),

    /**
     * Indicates a footer.
     * 
     */
    @XmlEnumValue("footer")
    FOOTER("footer"),

    /**
     * Indicates a frame object.
     * 
     */
    @XmlEnumValue("frame")
    FRAME("frame"),

    /**
     * Indicates a XUL grid element.
     * 
     */
    @XmlEnumValue("grid")
    GRID("grid"),

    /**
     * Indicates a groupbox object, for example a GROUPBOX control in Windows.
     * 
     */
    @XmlEnumValue("groupbox")
    GROUPBOX("groupbox"),

    /**
     * Indicates a header item.
     * 
     */
    @XmlEnumValue("header")
    HEADER("header"),

    /**
     * Indicates a heading, such has the content of <h1>, <h2>, etc. in HTML.
     * 
     */
    @XmlEnumValue("heading")
    HEADING("heading"),

    /**
     * Indicates a Windows RC HEDIT control.
     * 
     */
    @XmlEnumValue("hedit")
    HEDIT("hedit"),

    /**
     * Indicates a horizontal scrollbar.
     * 
     */
    @XmlEnumValue("hscrollbar")
    HSCROLLBAR("hscrollbar"),

    /**
     * Indicates an icon, for example an ICON resource in Windows.
     * 
     */
    @XmlEnumValue("icon")
    ICON("icon"),

    /**
     * Indicates a Windows RC IEDIT control.
     * 
     */
    @XmlEnumValue("iedit")
    IEDIT("iedit"),

    /**
     * Indicates keyword list, such as the content of the Keywords meta-data in HTML, or a K footnote in WinHelp RTF.
     * 
     */
    @XmlEnumValue("keywords")
    KEYWORDS("keywords"),

    /**
     * Indicates a label object.
     * 
     */
    @XmlEnumValue("label")
    LABEL("label"),

    /**
     * Indicates a label that is also a HTML link (not necessarily a URL).
     * 
     */
    @XmlEnumValue("linklabel")
    LINKLABEL("linklabel"),

    /**
     * Indicates a list (a group of list-items, for example an <ol> or <ul> element in HTML).
     * 
     */
    @XmlEnumValue("list")
    LIST("list"),

    /**
     * Indicates a listbox object, for example an LISTBOX control in Windows.
     * 
     */
    @XmlEnumValue("listbox")
    LISTBOX("listbox"),

    /**
     * Indicates an list item (an entry in a list).
     * 
     */
    @XmlEnumValue("listitem")
    LISTITEM("listitem"),

    /**
     * Indicates a Windows RC LTEXT control.
     * 
     */
    @XmlEnumValue("ltext")
    LTEXT("ltext"),

    /**
     * Indicates a menu (a group of menu-items).
     * 
     */
    @XmlEnumValue("menu")
    MENU("menu"),

    /**
     * Indicates a toolbar containing one or more tope level menus.
     * 
     */
    @XmlEnumValue("menubar")
    MENUBAR("menubar"),

    /**
     * Indicates a menu item (an entry in a menu).
     * 
     */
    @XmlEnumValue("menuitem")
    MENUITEM("menuitem"),

    /**
     * Indicates a XUL menuseparator element.
     * 
     */
    @XmlEnumValue("menuseparator")
    MENUSEPARATOR("menuseparator"),

    /**
     * Indicates a message, for example an entry in a MESSAGETABLE resource in Windows.
     * 
     */
    @XmlEnumValue("message")
    MESSAGE("message"),

    /**
     * Indicates a calendar control.
     * 
     */
    @XmlEnumValue("monthcalendar")
    MONTHCALENDAR("monthcalendar"),

    /**
     * Indicates an edit box beside a spin control.
     * 
     */
    @XmlEnumValue("numericupdown")
    NUMERICUPDOWN("numericupdown"),

    /**
     * Indicates a catch all for rectangular areas.
     * 
     */
    @XmlEnumValue("panel")
    PANEL("panel"),

    /**
     * Indicates a standalone menu not necessarily associated with a menubar.
     * 
     */
    @XmlEnumValue("popupmenu")
    POPUPMENU("popupmenu"),

    /**
     * Indicates a pushbox object, for example a PUSHBOX control in Windows.
     * 
     */
    @XmlEnumValue("pushbox")
    PUSHBOX("pushbox"),

    /**
     * Indicates a Windows RC PUSHBUTTON control.
     * 
     */
    @XmlEnumValue("pushbutton")
    PUSHBUTTON("pushbutton"),

    /**
     * Indicates a radio button object.
     * 
     */
    @XmlEnumValue("radio")
    RADIO("radio"),

    /**
     * Indicates a menuitem with associated radio button.
     * 
     */
    @XmlEnumValue("radiobuttonmenuitem")
    RADIOBUTTONMENUITEM("radiobuttonmenuitem"),

    /**
     * Indicates raw data resources for an application.
     * 
     */
    @XmlEnumValue("rcdata")
    RCDATA("rcdata"),

    /**
     * Indicates a row in a table.
     * 
     */
    @XmlEnumValue("row")
    ROW("row"),

    /**
     * Indicates a Windows RC RTEXT control.
     * 
     */
    @XmlEnumValue("rtext")
    RTEXT("rtext"),

    /**
     * Indicates a user navigable container used to show a portion of a document.
     * 
     */
    @XmlEnumValue("scrollpane")
    SCROLLPANE("scrollpane"),

    /**
     * Indicates a generic divider object (e.g. menu group separator).
     * 
     */
    @XmlEnumValue("separator")
    SEPARATOR("separator"),

    /**
     * Windows accelerators, shortcuts in resource or property files.
     * 
     */
    @XmlEnumValue("shortcut")
    SHORTCUT("shortcut"),

    /**
     * Indicates a UI control to indicate process activity but not progress.
     * 
     */
    @XmlEnumValue("spinner")
    SPINNER("spinner"),

    /**
     * Indicates a splitter bar.
     * 
     */
    @XmlEnumValue("splitter")
    SPLITTER("splitter"),

    /**
     * Indicates a Windows RC STATE3 control.
     * 
     */
    @XmlEnumValue("state3")
    STATE_3("state3"),

    /**
     * Indicates a window for providing feedback to the users, like 'read-only', etc.
     * 
     */
    @XmlEnumValue("statusbar")
    STATUSBAR("statusbar"),

    /**
     * Indicates a string, for example an entry in a STRINGTABLE resource in Windows.
     * 
     */
    @XmlEnumValue("string")
    STRING("string"),

    /**
     * Indicates a layers of controls with a tab to select layers.
     * 
     */
    @XmlEnumValue("tabcontrol")
    TABCONTROL("tabcontrol"),

    /**
     * Indicates a display and edits regular two-dimensional tables of cells.
     * 
     */
    @XmlEnumValue("table")
    TABLE("table"),

    /**
     * Indicates a XUL textbox element.
     * 
     */
    @XmlEnumValue("textbox")
    TEXTBOX("textbox"),

    /**
     * Indicates a UI button that can be toggled to on or off state.
     * 
     */
    @XmlEnumValue("togglebutton")
    TOGGLEBUTTON("togglebutton"),

    /**
     * Indicates an array of controls, usually buttons.
     * 
     */
    @XmlEnumValue("toolbar")
    TOOLBAR("toolbar"),

    /**
     * Indicates a pop up tool tip text.
     * 
     */
    @XmlEnumValue("tooltip")
    TOOLTIP("tooltip"),

    /**
     * Indicates a bar with a pointer indicating a position within a certain range.
     * 
     */
    @XmlEnumValue("trackbar")
    TRACKBAR("trackbar"),

    /**
     * Indicates a control that displays a set of hierarchical data.
     * 
     */
    @XmlEnumValue("tree")
    TREE("tree"),

    /**
     * Indicates a URI (URN or URL).
     * 
     */
    @XmlEnumValue("uri")
    URI("uri"),

    /**
     * Indicates a Windows RC USERBUTTON control.
     * 
     */
    @XmlEnumValue("userbutton")
    USERBUTTON("userbutton"),

    /**
     * Indicates a user-defined control like CONTROL control in Windows.
     * 
     */
    @XmlEnumValue("usercontrol")
    USERCONTROL("usercontrol"),

    /**
     * Indicates the text of a variable.
     * 
     */
    @XmlEnumValue("var")
    VAR("var"),

    /**
     * Indicates version information about a resource like VERSIONINFO in Windows.
     * 
     */
    @XmlEnumValue("versioninfo")
    VERSIONINFO("versioninfo"),

    /**
     * Indicates a vertical scrollbar.
     * 
     */
    @XmlEnumValue("vscrollbar")
    VSCROLLBAR("vscrollbar"),

    /**
     * Indicates a graphical window.
     * 
     */
    @XmlEnumValue("window")
    WINDOW("window");
    private final String value;

    RestypeValueList(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RestypeValueList fromValue(String v) {
        for (RestypeValueList c: RestypeValueList.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
